#!/bin/sh

SYSTEMCTL="/bin/systemctl --no-reload"

a= . install2-init-functions

turn_unit() {
    SYSTEM_UNIT=$1
    shift
    SYSTEM_SET=$1
    shift
    while [ -n "$1" ]
    do
	exec_chroot ${SYSTEMCTL} ${SYSTEM_SET} ${1}.${SYSTEM_UNIT} ||:
	shift
    done
}

turn_unit service disable debug-shell console-getty console-shell getty@tty1 haldaemon alteratord ahttpd clamd colord nscd lircd openl2tp slapd sysreport rescue-remote 2>/dev/null
turn_unit service enable autofs smb nmb sshd postfix crond x11presetdrv bluetooth rngd 2>/dev/null

turn_unit service disable NetworkManager-wait-online 2>/dev/null
turn_unit service enable ModemManager NetworkManager 2>/dev/null

turn_unit service disable cups org.cups.cupsd 2>/dev/null
turn_unit socket enable cups org.cups.cupsd 2>/dev/null
turn_unit path enable cups org.cups.cupsd 2>/dev/null

turn_unit timer enable fstrim 2>/dev/null

# reenable real display-manager
turn_unit service disable display-manager 2>/dev/null
turn_unit service enable sddm kdm4 kdm 2>/dev/null
